Bug 1486560 (CVE-2017-13672) - CVE-2017-13672 QEMU: vga: OOB read access during display update
Summary: CVE-2017-13672 QEMU: vga: OOB read access during display update
Status: NEW
Alias: CVE-2017-13672
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170824,reported=2...
Keywords: Security
Depends On: 1486561 1486562 1486640 1486641 1486642 1486643 1493359 1493360 1493361 1493362 1493363 1493364 1493365
Blocks: 1478328 1520691
TreeView+ depends on / blocked
 
Reported: 2017-08-30 07:21 UTC by Prasad J Pandit
Modified: 2019-04-14 12:48 UTC (History)
50 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An out-of-bounds read access issue was found in the VGA display emulator built into the Quick emulator (QEMU). It could occur while reading VGA memory to update graphics display. A privileged user/process inside guest could use this flaw to crash the QEMU process on the host resulting in denial of service situation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0816 None None None 2018-04-10 08:23 UTC
Red Hat Product Errata RHSA-2018:1104 None None None 2018-04-10 18:56 UTC
Red Hat Product Errata RHSA-2018:1113 None None None 2018-04-11 18:03 UTC
Red Hat Product Errata RHSA-2018:2162 None None None 2018-07-10 17:52 UTC

Description Prasad J Pandit 2017-08-30 07:21:28 UTC
Quick emulator(Qemu) built with the VGA display emulator support is vulnerable
to an out-of-bounds read access issue. It could occur while reading VGA memory
to update graphics display.

A privileged user/process inside guest could use this flaw to crash the Qemu
process on the host resulting in DoS situation.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-08/msg05332.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/08/30/3

Comment 1 Prasad J Pandit 2017-08-30 07:22:00 UTC
Acknowledgments:

Name: David Buchanan

Comment 2 Prasad J Pandit 2017-08-30 07:23:22 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1486562]

Comment 3 Prasad J Pandit 2017-08-30 07:23:46 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1486561]

Comment 9 Fedora Update System 2017-11-07 22:13:42 UTC
qemu-2.9.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Doran Moppert 2018-04-04 03:17:53 UTC
Removed erroneous rhev-hypervisor trackers:  these shouldn't have been created in the first place, and were confusing sfm2.

Comment 21 errata-xmlrpc 2018-04-10 08:23:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0816 https://access.redhat.com/errata/RHSA-2018:0816

Comment 22 errata-xmlrpc 2018-04-10 18:55:55 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for RHEL-7

Via RHSA-2018:1104 https://access.redhat.com/errata/RHSA-2018:1104

Comment 23 errata-xmlrpc 2018-04-11 18:02:54 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)
  Red Hat OpenStack Platform 12.0 (Pike)

Via RHSA-2018:1113 https://access.redhat.com/errata/RHSA-2018:1113

Comment 24 errata-xmlrpc 2018-07-10 17:52:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2162 https://access.redhat.com/errata/RHSA-2018:2162


Note You need to log in before you can comment on or make changes to this bug.